system/postgresql: Updated for version 9.0.1.

Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
This commit is contained in:
Adis Nezirovic 2010-10-24 23:40:41 -04:00 committed by Erik Hanson
parent 0541d96c64
commit 8d4ffb0fba
3 changed files with 27 additions and 31 deletions

View file

@ -30,11 +30,8 @@ Additionally, rc.postgresql script has additionalg modes for stop/restart:
unclean-stop|unclean-restart (i.e. pg_ctl 'immediate' mode) unclean-stop|unclean-restart (i.e. pg_ctl 'immediate' mode)
See http://www.postgresql.org/docs/8.4/static/app-pg-ctl.html See http://www.postgresql.org/docs/8.4/static/app-pg-ctl.html
This script builds postgresql with the 'adminpack' and 'pgcrypto' This script builds postgresql with some useful extension modules from
features in the contrib directory. the contrib directory, see PG_EXTENSIONS in SlackBuild file.
Please note that in order to actually use extension, you must execute Please note that in order to actually use extension, you must execute
accompanying SQL scripts located in /usr/share/postgresql/contrib accompanying SQL scripts located in /usr/share/postgresql/contrib
Additionally, you can enable tsearch2 compatibility module with:
TSEARCH2_COMPAT=yes ./postgresql.SlackBuild

View file

@ -1,16 +1,16 @@
#!/bin/sh #!/bin/sh
## Slackware build script for PostgreSQL ## Slackware build script for PostgreSQL
## $Revision: 5548380e2466 $ ## $Revision: 125327c245d3 $
## $Date: 2009/09/09 17:37:50 $ ## $Date: 2010/10/20 20:09:12 $
## ##
## Copyright 2007-2009 Adis Nezirovic <adis _at_ linux.org.ba> ## Copyright 2007-2010 Adis Nezirovic <adis _at_ linux.org.ba>
## Licensed under GNU GPL v2 ## Licensed under GNU GPL v2
# Modified by the SlackBuilds.org Project # Modified by the SlackBuilds.org Project
PRGNAM=postgresql PRGNAM=postgresql
VERSION=8.4.4 VERSION=9.0.1
BUILD=${BUILD:-1} BUILD=${BUILD:-1}
TAG=${TAG:-_SBo} TAG=${TAG:-_SBo}
@ -74,6 +74,7 @@ CFLAGS="$SLKCFLAGS" \
./configure \ ./configure \
--prefix=/usr \ --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--mandir=/usr/man \ --mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \ --docdir=/usr/doc/$PRGNAM-$VERSION \
--with-openssl \ --with-openssl \
@ -88,28 +89,26 @@ CFLAGS="$SLKCFLAGS" \
make make
make install-strip DESTDIR=$PKG make install-strip DESTDIR=$PKG
make install-docs DESTDIR=$PKG
# adminpack extension for pgAdmin
cd contrib/adminpack # Some interesting additional modules:
# http://www.postgresql.org/docs/9.0/static/contrib.html
#
# adminpack - helper extension for pgAdmin
# pgcrypto - extension for some business applications
# hstore, ltree, xml2 - useful extensions for developers
# pg_archivecleanup, pg_standby - high availability helpers
# pg_upgrade - online upgrade between postgresql versions
PG_EXTENSIONS="adminpack pgcrypto hstore ltree xml2 pg_archivecleanup pg_standby pg_upgrade"
for ext in $PG_EXTENSIONS; do
cd $TMP/$PRGNAM-$VERSION/contrib/$ext
make make
make install-strip DESTDIR=$PKG make install-strip DESTDIR=$PKG
cd $TMP/$PRGNAM-$VERSION done
# Since version 8.3 tsearch2 is directly supported by PostgreSQL
# This contrib module is now a compatibility layer.
# You can enable it by with:
# TSEARCH2_COMPAT=yes ./postgresql.SlackBuild
if ! [ "${TSEARCH2_COMPAT:-no}" == "no" ]; then
cd contrib/tsearch2
make
make install-strip DESTDIR=$PKG
cd $TMP/$PRGNAM-$VERSION
fi
# Some business oriented applications use this extension
cd contrib/pgcrypto
make
make install-strip DESTDIR=$PKG
cd $TMP/$PRGNAM-$VERSION cd $TMP/$PRGNAM-$VERSION
( cd $PKG/usr/man || exit 1 ( cd $PKG/usr/man || exit 1

View file

@ -1,10 +1,10 @@
PRGNAM="postgresql" PRGNAM="postgresql"
VERSION="8.4.4" VERSION="9.0.1"
HOMEPAGE="http://www.postgresql.org" HOMEPAGE="http://www.postgresql.org"
DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v8.4.4/postgresql-8.4.4.tar.bz2" DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v9.0.1/postgresql-9.0.1.tar.bz2"
MD5SUM="4bf2448ad965bca3940df648c02194df" MD5SUM="57ba57e43cfe29e16dacbf5789be98d1"
DOWNLOAD_x86_64="" DOWNLOAD_x86_64=""
MD5SUM_x86_64="" MD5SUM_x86_64=""
MAINTAINER="Adis Nezirovic" MAINTAINER="Adis Nezirovic"
EMAIL="adis_at_linux.org.ba" EMAIL="adis_at_linux.org.ba"
APPROVED="rworkman" APPROVED="dsomero"